%global momorel 7
%global qtver 4.6.3
%global kdever 4.4.4
%global kdelibsrel 1m
%global qtdir %{_libdir}/qt4
%global kdedir /usr

Summary: a small utility which allows the copy of DVD
Name: k9copy
Version: 2.3.5
Release: %{momorel}m%{?dist}
License: GPLv2
Group: Applications/Multimedia
URL: http://k9copy.sourceforge.net/
Source0: http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}-Source.tar.gz
NoSource: 0
Patch0: %{name}-%{version}-desktop.patch
Patch1: %{name}-%{version}-gcc44.patch
Patch2: %{name}-%{version}-explicitly-link.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: kdelibs >= %{kdever}-%{kdelibsrel}
Requires: dbus-qt
Requires: dvdauthor
Requires: dvd+rw-tools
Requires: hal
Requires: libdvdread
Requires: mplayer
Requires: vamps
BuildRequires: qt-devel >= %{qtver}
BuildRequires: kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildRequires: cmake
BuildRequires: dbus-devel
BuildRequires: dbus-qt-devel
BuildRequires: desktop-file-utils >= 0.16
BuildRequires: ffmpeg-devel
BuildRequires: gettext
BuildRequires: hal-devel
BuildRequires: libdvdread-devel
BuildRequires: mesa-libGL-devel
BuildRequires: xine-lib-devel
Obsoletes: %{name}-devel

%description
K9Copy is a small utility which allows the copy of DVD on Linux.
The DVD video stream is compressed by the program Vamps.

1. Copy without menus :
   In this case, dvdauthor is used to create a new DVD structure. It is possible to choose the order in which the video sequences are played.

2. Copy with menus :
   As dvdauthor does not make it possible to integrate the original menus, K9Copy reproduces the original structure of the DVD. The navigation packs as well as IFO files are modified to point on the compressed MPEG stream.

%prep
%setup -q -n %{name}-%{version}-Source

%patch0 -p1 -b .desktop~
%patch1 -p1 -b .gcc44~
%patch2 -p1 -b .link

%ifarch x86_64
sed -i "s/\/lib\//\/lib64\//g" CMakeLists.txt
%endif

%build

mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform} VERBOSE=1

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}

# install desktop file
sed -e "s/MimeTypes.*//" -i %{buildroot}%{_datadir}/applications/kde4/%{name}.desktop
desktop-file-install --delete-original --vendor= \
  --dir %{buildroot}%{_datadir}/applications/kde4 \
  --add-category AudioVideoEditing \
  %{buildroot}%{_datadir}/applications/kde4/%{name}.desktop

# link icon
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -s ../icons/hicolor/48x48/apps/%{name}.png %{buildroot}%{_datadir}/pixmaps/%{name}.png

%find_lang %{name}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING README
%{_kde4_bindir}/%{name}
%{_kde4_bindir}/k9play
%{_kde4_bindir}/k9xineplayer
%{_kde4_datadir}/applications/kde4/%{name}.desktop
%{_kde4_datadir}/applications/kde4/%{name}_assistant.desktop
%{_kde4_datadir}/doc/HTML/en/%{name}
%{_kde4_appsdir}/%{name}
%{_kde4_appsdir}/solid/actions/%{name}_assistant_open.desktop
%{_kde4_appsdir}/solid/actions/%{name}_open.desktop
%{_kde4_iconsdir}/hicolor/*/apps/%{name}.png
%{_datadir}/pixmaps/%{name}.png

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (2.3.5-7m)
- full rebuild for mo7 release

* Sun Jul 25 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (2.3.5-6m)
- delete unwanted cflags

* Fri Jul  9 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.3.5-5m)
- build fix with desktop-file-utils-0.16

* Mon Jun 28 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (2.3.5-4m)
- rebuild against qt-4.6.3-1m

* Sun May  2 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (2.3.5-3m)
- fix build with gcc-4.4.4

* Fri Apr 23 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.3.5-2m)
- touch up spec file

* Tue Feb  9 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.3.5-1m)
- version 2.3.5
- update desktop.patch and gcc44.patch

* Wed Dec  9 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.3.4-1m)
- version 2.3.4
- update gcc44.patch

* Wed Dec  2 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.3.3-3m)
- change BR from xine-lib to xine-lib-devel

* Sun Nov 15 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.3.3-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Fri Aug 21 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.3.3-1m)
- version 2.3.3
- update gcc44.patch
- remove merged ffmpeg.patch

* Thu Jul  2 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (2.3.2-1m)
- support newer ffmpeg

* Wed May 27 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (2.3.2-1m)
- update to 2.3.2

* Thu Apr  9 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.3.1-1m)
- version 2.3.1

* Fri Mar 13 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (2.3.0-1m)
- update to 2.3.0

* Sat Feb 21 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (2.2.0-1m)
- update to 2.2.0

* Mon Jan 26 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.1.0-4m)
- apply gcc44 patch

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.1.0-3m)
- rebuild against rpm-4.6

* Sat Nov 29 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.1.0-1m)
- rebuild against kdelibs-4.1.80

* Thu Oct 30 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.1.0-1m)
- update to 2.1.0

* Sun Jun 15 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.0.2-1m)
- update to 2.0.2

* Sat Jun 14 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.0.1-1m)
- update to 2.0.1

* Sun May 11 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.0.0-3m)
- rebuild against qt-4.4.0-1m

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.0.0-2m)
- rebuild against gcc43

* Wed Mar 26 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.0.0-1m)
- update to 2.0.0

* Sat Mar 22 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.9.8-2m)
- add BuildPreReq ffmpeg-devel
- add workaround for ffmpeg

* Tue Feb 19 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.9.8-1m)
- update to version 1.9.8-2 for KDE4
- update desktop.patch and gcc43.patch

* Thu Feb 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1.2.3-2m)
- %%NoSource -> NoSource

* Mon Jan 21 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.3-1m)
- version 1.2.3
- update desktop.patch
- License: GPLv2

* Sun Jan 13 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.2.2-2m)
- add patch for gcc43, generated by gen43patch(v1)

* Mon Dec 31 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.2.2-1m)
- version 1.2.2

* Thu Dec  6 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.2.1-1m)
- version 1.2.1

* Fri Nov  2 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.2.0-1m)
- version 1.2.0

* Thu Aug 16 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.1.3-1m)
- version 1.1.3

* Sun Aug 12 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.1.2-1m)
- version 1.1.2

* Tue Apr  3 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1.1-1m)
- version 1.1.1-3
- remove k9copy-devel
- update desktop.patch

* Thu Mar 22 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1.0-2m)
- add some packages to BPR
- add some options to configure
- add DocPath and GenericName[ja] to desktop file
- add %%post and %%postun
- sort %%files
- add %%defattr(-,root,root) to %%files devel

* Thu Mar 22 2007 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.1.0-1m)
- import to Momonga
